Collect
curl --request POST \
--url https://api.korve.dev/v1/speed-insights/collect/{projectRef} \
--header 'Content-Type: application/json' \
--data '
{
"schemaVersion": 1,
"batchId": "<string>",
"environment": "<string>",
"sdkVersion": "<string>",
"events": [
{
"eventId": "<string>",
"value": 300000,
"timestamp": "2023-11-07T05:31:56Z",
"route": "<string>"
}
]
}
'import requests
url = "https://api.korve.dev/v1/speed-insights/collect/{projectRef}"
payload = {
"schemaVersion": 1,
"batchId": "<string>",
"environment": "<string>",
"sdkVersion": "<string>",
"events": [
{
"eventId": "<string>",
"value": 300000,
"timestamp": "2023-11-07T05:31:56Z",
"route": "<string>"
}
]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
schemaVersion: 1,
batchId: '<string>',
environment: '<string>',
sdkVersion: '<string>',
events: [
{
eventId: '<string>',
value: 300000,
timestamp: '2023-11-07T05:31:56Z',
route: '<string>'
}
]
})
};
fetch('https://api.korve.dev/v1/speed-insights/collect/{projectRef}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"accepted": 10,
"duplicate": true,
"sampledOut": true
}speedInsights
Collect
Accept one bounded batch of normalized browser performance measurements from an allowed project origin.
POST
/
v1
/
speed-insights
/
collect
/
{projectRef}
Collect
Path Parameters
Globally unique public project slug.
Pattern:
^[a-z][a-z0-9-]{1,61}$Body
application/json
Available options:
1 Required string length:
1 - 64Pattern:
^[A-Za-z0-9_-]+$Project environment. Defaults to production in the browser SDK.
Pattern:
^[a-z][a-z0-9-]{0,38}$Required string length:
1 - 32Required array length:
1 - 20 elementsShow child attributes
Show child attributes